aboutsummaryrefslogtreecommitdiffstats
path: root/x11
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-07-02 17:32:27 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-07-02 17:32:27 +0000
commitf106ff15b599e6eb7dc578d6e8c0d5353c00f3f9 (patch)
tree5f250e73c24a2e128d523f858faf6499207419e3 /x11
parent0c4a43f330873842ae85f7f41a923454b8ce4812 (diff)
downloadaports-f106ff15b599e6eb7dc578d6e8c0d5353c00f3f9.tar.gz
aports-f106ff15b599e6eb7dc578d6e8c0d5353c00f3f9.tar.bz2
aports-f106ff15b599e6eb7dc578d6e8c0d5353c00f3f9.tar.xz
x11/gst-plugins-base: new aport
GStreamer Multimedia Framework Base Plugins http://gstreamer.freedesktop.org/
Diffstat (limited to 'x11')
-rw-r--r--x11/gst-plugins-base/APKBUILD33
1 files changed, 33 insertions, 0 deletions
diff --git a/x11/gst-plugins-base/APKBUILD b/x11/gst-plugins-base/APKBUILD
new file mode 100644
index 0000000000..5e1896776a
--- /dev/null
+++ b/x11/gst-plugins-base/APKBUILD
@@ -0,0 +1,33 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=gst-plugins-base
+pkgver=0.10.23
+pkgrel=0
+pkgdesc="GStreamer Multimedia Framework Base Plugins"
+url="http://gstreamer.freedesktop.org/"
+license="GPL LGPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig gstreamer-dev alsa-lib-dev libvorbis-dev liboil-dev
+ perl libogg-dev gtk+-dev libtheora-dev libice-dev libsm-dev libxv-dev
+ e2fsprogs-dev expat-dev"
+# cdparanoia>=10.2 libvisual libtheora"
+source="http://gstreamer.freedesktop.org/src/$pkgname/$pkgname-$pkgver.tar.bz2"
+
+depends_dev="gstreamer-dev"
+
+build ()
+{
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --disable-static \
+ --disable-experimental \
+ --with-package-name="GStreamer Base Plugins (Alpine Linux)" \
+ --with-package-origin="http://www.alpinelinux.org/" \
+ || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="641cc7def2d8667b9b4df15e69dba25f gst-plugins-base-0.10.23.tar.bz2"